<?php
session_start();
require_once('./include.php');
$func = './thumbnailer.php';
$imver = Imagick::getVersion();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Script-Type" content="text/javascript" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="X-UA-Compatible" content="IE=emulateIE7" />
<title>Image Thumbnailer</title>
<link href="./style.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
<!--
function list2text(src, dst) {
    dst.value = src.options[src.selectedIndex].value;
}
function clearurl() {
    document.setup.url.value = "";
}
function changewin() {
    win = document.setup.win;
    document.setup.target = win.options[win.selectedIndex].value;
}
//-->
</script>
</head>
<body>
<h1>画像サムネイル作成</h1>
<div class="copyright">
<p class="rev"><span>Image Thumbnailer</span>
<span>Revision <?php echo $rev; ?></span>
<span>Copyright(C) 2010 Hidemi Oya<span></p>
<p class="using"><span>Powered by</span>
<span>PHP <?php echo phpversion(); ?></span> +
<span><?php echo $imver['versionString']; ?></span>
</p>
</div>
<div class="usage">
<p>インターネット上またはローカルディスク上の PDF を含む各種形式の画像ファイルを縮小します。</p>
<p>インターネット上の画像ファイルの場合は、URL 欄に URL を入力してください。</p>
<p>ローカルディスク上の画像ファイルの場合は、ファイル欄の「参照」ボタンでファイルを選択してください。</p>
<p>サムネイル画像はブラウザのコンテキストメニュー(Windows では右ボタン)から保存してください。</p>
</div>
<div class="notice">
<p>JavaScript と COOKIE を有効にしてお使いください。</p>
<p>アップロード可能な画像ファイルは <?php echo $maxfile; ?>MB 以下です(インターネット上の画像は <?php echo $maxfile; ?>MB 超可)。</p>
<p>対応している画像形式については、<a href="format.php">こちら</a>をご覧ください</p>
</div>
<div class="form">
<form action="<?php echo $func; ?>" method="post" enctype="multipart/form-data" target="inline" name="setup" />
<table border="1" align="center">
<tbody>
<tr>
<th rowspan="2">変換元画像</th>
<td>URL</td>
<td>
<input type="text" name="url" value="" size="64" class="text" />
</td>
</tr>
<tr>
<td>ファイル</td>
<td>
<input type="file" name="upfile" size="64" class="file" onchange="clearurl()" />
</td>
</tr>
<tr>
<th rowspan="4">サムネイル</th>
<td>長辺の長さ</td>
<td>
<input type="hidden" name="max_file_size" value="<?php echo $maxfile * 1024 * 1024; ?>" />
<input type="text" name="l" value="128" size="4" class="text" /> ピクセル (最小: <?php echo $min; ?>、最大: <?php echo $max; ?>)
</td>
</tr>
<tr>
<td>枠線</td>
<td>
<select name="cb" onchange="list2text(cb, b)" class="ddlist" />
<option value="" selected />無し
<option value="black" />黒
<option value="red" />赤
<option value="purple" />紫
<option value="blue" />青
<option value="teal" />青緑
<option value="green" />緑
<option value="orange" />橙
<option value="white" />白
</select>
<input type="text" name="b" value="" size="20" class="text" />
</td>
</tr>
<tr>
<td>影</td>
<td>
<select name="cs" onchange="list2text(cs, s)" class="ddlist" />
<option value="" selected />無し
<option value="black" />黒
<option value="red" />赤
<option value="purple" />紫
<option value="blue" />青
<option value="teal" />青緑
<option value="green" />緑
<option value="orange" />橙
<option value="white" />白
</select>
<input type="text" name="s" value="" size="20" class="text" />
<span> 濃度: <input type="text" name="so" value="40" size="4" class="text" /> %</span>
<span>ずれ: <input type="text" name="ss" value="1.5" size="4" class="text" /> %</span>
</td>
</tr>
<tr>
<td>背景色</td>
<td>
<select name="cbg" onchange="list2text(cbg, bg)" class="ddlist" />
<option value="" selected />無し
<option value="black" />黒
<option value="red" />赤
<option value="purple" />紫
<option value="blue" />青
<option value="teal" />青緑
<option value="green" />緑
<option value="orange" />橙
<option value="white" />白
</select>
<input type="text" name="bg" value="" size="20" class="text" />
</td>
</tr>
<tr>
<th rowspan="2">PDF処理ページ</th>
<td>開始ページ</td>
<td>
<input type="text" name="i" value="1" size="3" class="text" />
</td>
</tr>
<tr>
<td>処理ページ数</td>
<td>
<input type="text" name="n" value="0" size="3" class="text" /> (0: 全ページ)
</td>
</tr>
<tr>
<td align="center">
<input type="reset" value="全クリア" class="button">
</td>
<td colspan="2" align="center">
<select name="win" onchange="changewin()" class="ddlist" />
<option value="inline" selected />このウィンドウ
<option value="otherwin" />別ウィンドウ
</select>
に
<select name="typ" class="ddlist" />
<option value="html" selected />HTML 経由で
<option value="image" />直接画像として
</select>
サムネイル画像を
<input type="hidden" name="tag" value="img" />
<input type="submit" value="表示" class="button" />
</td>
</tr>
</tbody>
</table>
</form>
</div>
<div align="center">
<iframe name="inline" frameborder="0" width="100%" height="700" align="center">
<p class="notice">このブラウザは、「別ウィンドウ」をチェックしてご利用ください。</p>
</iframe>
</div>
</body>
</html>
